Package org.eclipse.ltk.ui.refactoring

# Class TextEditChangeNode.ChildNode

java.lang.Object
org.eclipse.ltk.internal.ui.refactoring.PreviewNode
org.eclipse.ltk.ui.refactoring.TextEditChangeNode.ChildNode

Direct Known Subclasses:
  `org.eclipse.ltk.internal.ui.refactoring.InternalLanguageElementNode`

Enclosing class:
  `TextEditChangeNode`

public abstract static class TextEditChangeNode.ChildNode extends org.eclipse.ltk.internal.ui.refactoring.PreviewNode

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ChildNode(org.eclipse.ltk.internal.ui.refactoring.PreviewNode parent)`

## Method Summary

Modifier and Type
Method
Description
`protected TextEditChangeNode`
`getTextEditChangeNode()`

### Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.PreviewNode

`getImageDescriptor, getText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChildNode

protected ChildNode(org.eclipse.ltk.internal.ui.refactoring.PreviewNode parent)

## Method Details

### getTextEditChangeNode

protected TextEditChangeNode getTextEditChangeNode()